Skip to main content
GET
/
organizations
/
{orgId}
/
statements
List billing statements for an organization
curl --request GET \
  --url https://dashboard.hologram.io/api/1/organizations/{orgId}/statements \
  --header 'Authorization: Basic <encoded-value>'
{
  "success": true,
  "data": [
    {
      "id": 123,
      "orgid": 123,
      "net_total": "<string>",
      "debit_total": "<string>",
      "credit_total": "<string>",
      "report_start_date": "2023-12-25",
      "whencreated": "2023-11-07T05:31:56Z"
    }
  ],
  "limit": 123,
  "size": 123,
  "continues": true,
  "lastid": 123,
  "links": {
    "path": "<string>",
    "base": "<string>",
    "next": "<string>"
  }
}

Authorizations

Authorization
string
header
required

HTTP Basic authentication using API keys. Set the username to apikey and the password to your API key. You can find your API key on the Hologram Dashboard under Account Settings.

Path Parameters

orgId
integer
required

Organization ID

Query Parameters

id
integer

Filter by statement ID

report_start_date
string<date>

Filter by billing period start date

startafter
integer

Return results with ID less than this value (cursor-based pagination, ordered by ID descending)

limit
integer

Maximum number of results to return (default 60)

Example:

60

Response

OK

success
boolean

Indicates whether the request was successful.

Example:

true

data
object[]
limit
integer
size
integer
continues
boolean
lastid
integer

ID of the last record returned, for cursor-based pagination